# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "counting-pointer"
version = "0.1.0"
authors = ["Yoshida Shin <wbcchsyn@gmail.com>"]
description = "Provides structs of reference counting pointers. The perforance is better than 'std::rc::Rc' and than 'std::sync::Arc' by counting only the strong references but not weak the references.\n"
documentation = "https://wbcchsyn.github.io/rust-counting-pointer/counting_pointer/index.html"
readme = "README.md"
keywords = ["rc", "arc", "reference-count"]
categories = ["asynchronous", "memory-management"]
license = "LGPL-3.0-or-later OR Apache-2.0 OR BSD-2-Clause"
repository = "https://github.com/wbcchsyn/rust-counting-pointer.git"

[dependencies]
[dev-dependencies.gharial]
version = "0.3"
